Overview
PUT
/content/polls/{id}contentUpdate polls
Replace a record in polls by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- hostKindoptionalstring?
- hostIdoptionalstring?
- questionoptionalstring
- allowMultipleoptionalboolean
- expiresAtoptionalstring?
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string"
}Responses
200
polls
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- hostKindstring?
- hostIdstring?
- questionstring
- allowMultipleboolean
- expiresAtstring?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/content/polls/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"hostKind": "string",
"hostId": "string",
"question": "string",
"allowMultiple": true,
"expiresAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/polls/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"hostKind\": \"string\",\n \"hostId\": \"string\",\n \"question\": \"string\",\n \"allowMultiple\": true,\n \"expiresAt\": \"string\"\n}",
});
const data = await res.json();